Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoBoundingBoxMatchMsg Class Reference
GoSdk/Messages » Data Channel

## Description

Represents a message containing bounding box based part matching results.

Inheritance diagram for GoBoundingBoxMatchMsg:

## Public Member Functions
k8u | GoBoundingBoxMatchMsg_Decision (GoBoundingBoxMatchMsg msg)
| Gets the bounding box match major value. More...
k8u | GoBoundingBoxMatchMsg_LengthDecision (GoBoundingBoxMatchMsg msg)
| Gets the bounding box match length decision. More...
k64f | GoBoundingBoxMatchMsg_LengthValue (GoBoundingBoxMatchMsg msg)
| Gets the bounding box match length value. More...
k8u | GoBoundingBoxMatchMsg_WidthDecision (GoBoundingBoxMatchMsg msg)
| Gets the bounding box match width decision. More...
k64f | GoBoundingBoxMatchMsg_WidthValue (GoBoundingBoxMatchMsg msg)
| Gets the bounding box match width value. More...
k64f | GoBoundingBoxMatchMsg_XOffset (GoBoundingBoxMatchMsg msg)
| Gets the bounding box match X offset. More...
k64f | GoBoundingBoxMatchMsg_YOffset (GoBoundingBoxMatchMsg msg)
| Gets the bounding box match Y offset. More...
k64f | GoBoundingBoxMatchMsg_ZAngle (GoBoundingBoxMatchMsg msg)
| Gets the bounding box match Z angle. More...
kStatus | GoDataMsg_SetStreamStep (GoDataMsg message, GoDataStep streamStep)
| Sets the source of the data stream. More...
kStatus | GoDataMsg_SetStreamStepId (GoDataMsg message, k32s streamStepId)
| Sets the identifier of the data stream from the source. More...
GoDataStep | GoDataMsg_StreamStep (GoDataMsg message)
| Gets the source of the data stream. More...
k32s | GoDataMsg_StreamStepId (GoDataMsg message)
| Gets the identifier of the data stream from the source. More...
GoDataMessageType | GoDataMsg_Type (GoDataMsg message)
| Returns the message type for a data channel message given in a GoDataSet. More...

The documentation for this class was generated from the following file:

- Messages/GoDataTypes.h